Return the name of the table of the specified field

- « cubrid_field_seek

- cubrid_field_type »

- PHP Manual
- CUBRID MySQL Compatibility Functions
- Return the name of the table of the specified field

# cubrid_field_table

(PECL CUBRID >= 8.3.0)

cubrid_field_table — Return the name of the table of the specified field

### Description

cubrid_field_table(resource `$result`, int `$field_offset`): string

This function returns the name of the table of the specified field. This is useful when using large select queries with JOINS.

### Parameters

`result`

  `result` comes from a call to cubrid_execute()

`field_offset`

  The numerical field offset. The `field_offset` starts at 0. If `field_offset` does not exist, an error of level `E_WARNING` is also issued.

### Return Values

Name of the table of the specified field, on success.

`false` when invalid field_offset value.

-1 if SQL sentence is not SELECT.

### Examples

Example #1 cubrid_field_table() example

    <?php$conn = cubrid_connect("localhost", 33000, "demodb");$result = cubrid_execute($conn, "SELECT * FROM code");$col_num = cubrid_num_cols($result);printf("%-15s %-15s %s\n", "Field Table", "Field Name", "Field Type");for($i = 0; $i < $col_num; $i++) {    printf("%-15s %-15s %s\n",         cubrid_field_table($result, $i), cubrid_field_name($result, $i), cubrid_field_type($result, $i)); }cubrid_disconnect($conn);?>

The above example will output:

    Field Table     Field Name      Field Type
    code            s_name          char
    code            f_name          varchar